Skip to content
Back to top
View this page

# `python -m installer`

This interface allows you to install one or more wheels into a Python interpreter.

    usage: python -m installer [-h] [--destdir path] [--prefix path]
                               [--compile-bytecode level] [--no-compile-bytecode]
                               [--validate-record part] [--overwrite-existing]
                               wheel [wheel ...]

## Positional Arguments

`wheel`

  wheel file to install

## Named Arguments

`--destdir, -d`

  destination directory (prefix to prepend to each file)

`--prefix, -p`

  override prefix to install packages to

`--compile-bytecode`

  Possible choices: 0, 1, 2

  generate bytecode for the specified optimization level(s) (default=0, 1)

`--no-compile-bytecode`

  don’t generate bytecode for installed modules

  Default: `False`

`--validate-record`

  Possible choices: all, entries, none

  validate the wheel against certain part of its record (default=none)

  Default: `'none'`

`--overwrite-existing`

  silently overwrite existing files

  Default: `False`